com.amazonaws.services.cloudfront.model

## Class CreateStreamingDistributionWithTagsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.CreateStreamingDistributionWithTagsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateStreamingDistributionWithTagsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to create a new streaming distribution with tags.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateStreamingDistributionWithTagsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateStreamingDistributionWithTagsRequest` `clone()`
`boolean` `equals(Object obj)`
`StreamingDistributionConfigWithTags` `getStreamingDistributionConfigWithTags()` The streaming distribution's configuration information.
`int` `hashCode()`
`void` `setStreamingDistributionConfigWithTags(StreamingDistributionConfigWithTags streamingDistributionConfigWithTags)` The streaming distribution's configuration information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateStreamingDistributionWithTagsRequest` `withStreamingDistributionConfigWithTags(StreamingDistributionConfigWithTags streamingDistributionConfigWithTags)` The streaming distribution's configuration information.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateStreamingDistributionWithTagsRequest

    public CreateStreamingDistributionWithTagsRequest()

### Method Detail

#### setStreamingDistributionConfigWithTags

    public void setStreamingDistributionConfigWithTags(StreamingDistributionConfigWithTags streamingDistributionConfigWithTags)

The streaming distribution's configuration information.

Parameters:
  `streamingDistributionConfigWithTags` - The streaming distribution's configuration information.

#### getStreamingDistributionConfigWithTags

    public StreamingDistributionConfigWithTags getStreamingDistributionConfigWithTags()

The streaming distribution's configuration information.

Returns:
  The streaming distribution's configuration information.

#### withStreamingDistributionConfigWithTags

    public CreateStreamingDistributionWithTagsRequest withStreamingDistributionConfigWithTags(StreamingDistributionConfigWithTags streamingDistributionConfigWithTags)

The streaming distribution's configuration information.

Parameters:
  `streamingDistributionConfigWithTags` - The streaming distribution's configuration information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateStreamingDistributionWithTagsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`